Subject: Re: bug#58580: 29.0.50; Ahead-of-time compilation for a few more files?

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 18 Oct 2022 13:34:07 +0200

Eli Zaretskii <[email-masked]> writes:

> However, now we are saying that having some files precompiled is more
> convenient, as it makes the first startup of a newly built/installed
> Emacs faster and smoother.  (It only affects the first startup after
> building a new version.)

After thinking about this a bit more, I think this is a pretty
compelling argument: Multi-user machines basically don't exist any more,
so there's little to be gained by having the default build do the AOT
for these additional files in the development build.

And distributions will do a full AOT distribution anyway, or will do a
distribution without any .eln file distributed -- it's hard to envision
a distribution doing a distribution with just a handful of .eln files.

So this would just added maintenance burden and further complicate the
build without any gains for users, and I'm therefore closing this bug
report.